Use the list warehouses request to retrieve your warehouse_id and the related properties at any point after you have created your warehouses in ShipStation API.
GET /v1/warehouses
GET /v1/warehouses HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Response
{
"warehouses": [
{
"warehouse_id": "se-277331",
"name": "Example Corp. East Warehouse",
"created_at": "2017-03-15T17:20:19.353Z",
"origin_address": {
"company_name": "Example Corp.",
"name": "John Doe",
"phone": "111-111-1111",
"email": "recipient@example.com",
"address_line1": "4009 Marathon Blvd",
"address_line2": "Suite 300",
"city_locality": "Austin",
"state_province": "TX",
"postal_code": "78756",
"country_code": "US",
"address_residential_indicator": "no"
},
"return_address": {
"company_name": "Example Corp.",
"name": "John Doe",
"phone": "111-111-1111",
"email": "sender@example.com",
"address_line1": "4009 Marathon Blvd",
"address_line2": "Suite 300",
"city_locality": "Austin",
"state_province": "TX",
"postal_code": "78756",
"country_code": "US",
"address_residential_indicator": "no"
}
}
]
}If you need the properties of a specific warehouse, you can add the warehouse_id as a parameter to the warehouses endpoint.
- You will need the
warehouse_idfor the warehouse details you wish to retrieve.
GET /v1/warehouses/:warehouse_id
GET /v1/warehouses/se-277331 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Response
{
"warehouse_id": "se-277331",
"name": "Example Corp. East Warehouse",
"created_at": "2018-02-12T23:48:15.387Z",
"origin_address": {
"company_name": "Example Corp.",
"name": "John Doe",
"phone": "111-111-1111",
"email": "recipient@example.com",
"address_line1": "4009 Marathon Blvd",
"address_line2": "Suite 300",
"city_locality": "Austin",
"state_province": "TX",
"postal_code": "78756",
"country_code": "US",
"address_residential_indicator": "no"
},
"return_address": {
"company_name": "Example Corp.",
"name": "John Doe",
"phone": "111-111-1111",
"email": "sender@example.com",
"address_line1": "4009 Marathon Blvd",
"address_line2": "Suite 300",
"city_locality": "Austin",
"state_province": "TX",
"postal_code": "78756",
"country_code": "US",
"address_residential_indicator": "no"
}
}